# Differential manifolds

In the following sections of differential geometry we make use of the Einstein summation convention introduced in [vector analysis](/en/physics/mathematical-physics/vector-analysis/curvilinear-coordinates/) and $\mathbb{K} = \mathbb{R}$ or $\mathbb{K} = \mathbb{C}.$

## Definition

Differential geometry is concerned with *differential manifolds*, smooth continua that are locally Euclidean. 

> *Definition 1*: let $n \in \mathbb{N}$, a $n$-dimensional **differential manifold** is a Hausdorff (T2) space $M$ furnished with a family of smooth diffeomorphisms $\phi_\alpha: \mathscr{D}(\phi_\alpha) \to \mathscr{R}(\phi_\alpha)$ with $\mathscr{D}(\phi_\alpha) \subset\mathrm{M}$ and $\mathscr{R}(\phi_\alpha) \subset E$, with the following axioms
>
> 1. $\mathscr{D}(\phi_\alpha)$ is open and $\bigcup_{\alpha \in \mathbb{N}} \mathscr{D}(\phi_\alpha) =\mathrm{M}$,
> 2. if $\Omega = \mathscr{D}(\phi_\alpha) \cap \mathscr{D}(\phi_\beta) \neq \empty$ then $\phi_\alpha(\Omega), \phi_\beta(\Omega) \subset E$ are open sets and $\phi_\alpha \circ \phi_\beta^{-1}, \phi_\beta \circ \phi_\alpha$ are diffeomorphisms,
> 3. the atlas $\mathscr{A} = \{(\mathscr{D}(\phi_\alpha), \phi_\alpha)\}$ is maximal.
>
> with $E$ a $n$-dimensional [Euclidean space](). 

The last axiom ensures that any chart is tacitly assumed to be already contained in the atlas.

## Coordinate transformations

> *Definition 2*: let $p,q \in \mathrm{M}$ be points on the differential manifold and let $\psi: \mathscr{D}(\psi) \to\mathrm{M}: p \mapsto \psi(p) \overset{\text{def}}{=} q$ be a **transformation** from $p$ to $q$ on the manifold, we define two diffeomorphisms
> 
> $$
>   \phi_\alpha: \mathscr{D}(\phi_\alpha) \to \mathscr{R}(\phi_\alpha): p \mapsto \phi_\alpha(p) \overset{\text{def}}{=} x,
> $$
>
> $$
>   \phi_\beta: \mathscr{D}(\phi_\beta) \to \mathscr{R}(\phi_\beta): q \mapsto \phi_\beta(q) \overset{\text{def}}{=} y,
> $$
>
> with $\mathscr{D}(\phi_{\alpha,\beta}) \subset\mathrm{M}$ and $\mathscr{R}(\phi_{\alpha,\beta}) \subset E$. Then we have a **coordinate transformation** given by
>
> $$
>   \phi_{\alpha \beta}^\psi = \phi_\beta \circ \psi \circ \phi_\alpha^{-1}: x \mapsto y,
> $$
>
> then $\phi_{\alpha \beta}^\psi$ is an **active transformation** if $p \neq q$ and $\phi_{\alpha \beta}^\psi$ is a **passive transformation** if $p = q$. 

To clarify the definitions, a passive transformation corresponds only to a descriptive transformation. Whereas an active transformation corresponds to a transformation on the manifold $M$.  

A passive transformation may also be given directly by $\phi_\beta \circ \phi_\alpha: x \mapsto y$ since $\psi = \mathrm{id}$ in this case. Note that the definitions could also have been given by the inverse as the transformations are all diffeomorphisms. 