# Linear connections

Let $\mathrm{M}$ be a differential manifold with $\dim \mathrm{M} = n \in \mathbb{N}$ used throughout the section. Let $\mathrm{TM}$ and $\mathrm{T^*M}$ denote the tangent and cotangent bundle, $V$ and $V^*$ the fiber and dual fiber bundle and $\mathscr{B}$ the tensor fiber bundle. 

> *Definition 1*: a **linear connection** on the fiber bundle $\mathscr{B}$ is a map
>
> $$
>   \nabla: \Gamma(\mathrm{TM}) \times \Gamma(\mathscr{B}) \to \Gamma(\mathscr{B}): (\mathbf{v}, \mathbf{T}) \mapsto \nabla_\mathbf{v} \mathbf{T}, 
> $$
>
> satisfying the following properties, if $f,g \in C^\infty(\mathrm{M})$, $\mathbf{v} \in \Gamma(\mathrm{TM})$ and $\mathbf{T}, \mathbf{S} \in \Gamma(\mathscr{B})$ then
>
> 1. $\nabla_{f\mathbf{v}} \mathbf{T} = f \nabla_\mathbf{v} \mathbf{T}$
> 2. $\nabla_\mathbf{v} (f \mathbf{T} + g \mathbf{S}) = (\nabla_\mathbf{v} f) \mathbf{T} + f \nabla_\mathbf{v} \mathbf{T} + (\nabla_\mathbf{v} g) \mathbf{S} + g \nabla_{\mathbf{v}} \mathbf{S}$, 
> 3. $\nabla_\mathbf{v} f = \mathbf{v} f = \mathbf{k}(df, \mathbf{v})$. 

From property 3 it becomes clear that $\nabla_\mathbf{v}$ is an analogue of a directional derivative. The linear connection can also be defined in terms of the cotangent bundle and the dual fiber bundle. 

Note that the first (trivial) element in the notion of the section $\Gamma$ is omitted, generally it should be $\Gamma(\mathrm{M}, \mathrm{TM})$ as the elements of this set are maps from $\mathrm{M}$ to $\mathrm{TM}$. 

## Covariant derivative

> *Definition 2*: let $\mathbf{v} = v^i \mathbf{e}_i\in \Gamma(\mathscr{B})$ then the **covariant derivative** on $\mathbf{v}$ is defined as
>
> $$
>   D_k \mathbf{v} \overset{\text{def}}= \nabla_{\partial_k} \mathbf{v} = (\partial_k v^i) \mathbf{e}_i + v^i \Gamma^j_{ik} \mathbf{e}_j = (\partial_k v^i + \Gamma^i_{jk} v^j)\mathbf{e}_i, 
> $$
>
> with formally $\mathbf{k}(\mathbf{\hat e}^j, \nabla_{\partial_k} \mathbf{e}_i) = \Gamma^j_{ik}$ the **linear connection symbols**, in this case $\nabla_{\partial_k} \mathbf{e}_i = \Gamma^j_{ik} \mathbf{e}_j$. 

The covariant derivative can thus be seen as a linear connection for which only the basis is used of the tangent vector. The covariant derivative can also be applied on higher, mixed rank tensors $\mathbf{T} = T^{ij}_k \mathbf{e}_i \otimes \mathbf{e}_j \otimes \mathbf{\hat e}^k \in \Gamma(\mathscr{B})$ which obtains

$$
    D_l \mathbf{T} = (\partial_l T^{ij}_k) \mathbf{e}_i \otimes \mathbf{e}_j \otimes \mathbf{\hat e}^k + T^{ij}_k (\Gamma_{il}^m\mathbf{e}_m) \otimes \mathbf{e}_j \otimes \mathbf{\hat e}^k + T^{ij}_k \mathbf{e}_i \otimes (\Gamma^m_{jl} \mathbf{e}_m) \otimes \mathbf{\hat e}^k + T^{ij}_k \mathbf{e}_i \otimes \mathbf{e}_j \otimes (\hat \Gamma^k_{ml} \mathbf{\hat e}^m),
$$

with the dual linear connection symbols given by $\mathbf{k}(\nabla_{\partial_k} \mathbf{\hat e}^i, \mathbf{e}_j) = \hat \Gamma^j_{ik}$ with $\nabla_{\partial_k} \mathbf{\hat e}^i = \hat \Gamma^j_{ik} \mathbf{\hat e}^j$. We then have the following proposition such that we can simplify the above expression.

> *Proposition 1*: let $\Gamma^j_{ik}$ be the linear connection symbols of a covariant derivative and let $\hat \Gamma^j_{ik}$ be the dual linear connection symbols given by $\mathbf{k}(\nabla_{\partial_k} \mathbf{\hat e}^i, \mathbf{e}_j) = \hat \Gamma^j_{ik}$, then we have that
>
> $$
>   \hat \Gamma^j_{ik} = - \Gamma^j_{ik},
> $$
>
> for all $(i,j,k) \in \mathbb{N}^3$. 

??? note "*Proof*:"

    Will be added later.

With the result of proposition 1 we may write

$$
    D_l \mathbf{T} = (\partial_l T^{ij}_k + \Gamma_{ml}^i T^{mj}_k + \Gamma_{ml}^j T^{im}_k - \Gamma_{kl}^m T^{ij}_m) \mathbf{e}_i \otimes \mathbf{e}_j \otimes \mathbf{\hat e}^k. 
$$

### Transformation of linear connection symbols

Will be added later.

## Intrinsic derivative

> *Definition 3*: let $\gamma: \mathscr{D}(\gamma) \to M: t \mapsto \gamma(t)$ be a smooth curve on the manifold parameterized by an open interval $\mathscr{D}(\gamma) \subset \mathbb{R}$ and let $\mathbf{v}: \mathscr{D}(\gamma) \to \mathrm{TM}: t \mapsto \mathbf{v}(t) = \mathbf{u} \circ \gamma(t)$ be a vector field defined along the curve with $\mathbf{u} \in \Gamma(\mathrm{TM})$, the **intrinsic derivative** of $\mathbf{v}$ is defined as
>
> $$
>   D_t \mathbf{v}(t) = \nabla_{\dot\gamma} \mathbf{v}(t),
> $$
>
> for all $t \in \mathscr{D}(\gamma)$. 

By decomposition of $\dot \gamma = \dot \gamma^i \partial_i$ and $\mathbf{v} = v^i \partial_i$ and using the chain rule we obtain

$$
\begin{align*}
    \nabla_{\dot\gamma} \mathbf{v}(t) &= \dot \gamma^i \nabla_{\partial_i} (v^j \partial_j), \\
                                      &= \dot \gamma^i \big((\partial_i v^j) \partial_j + v^j \Gamma_{ji}^k \partial_k  \big), \\
                                      &= (\dot \gamma^i \partial_i v^j + \dot \gamma^i \Gamma^j_{ki}v^k) \partial_j, \\
                                      &= (\dot v^j + \Gamma^j_{ki} v^k \dot \gamma^i) \partial_j,
\end{align*}
$$

for all $t \in \mathscr{D}(\gamma)$. This notion of the intrinsic derivative can of course be extended to any tensor. 

### Parallel transport 

> *Definition 4*: let $\gamma: \mathscr{D}(\gamma) \to M: t \mapsto \gamma(t)$ be a smooth curve on the manifold parameterized by an open interval $\mathscr{D}(\gamma) \subset \mathbb{R}$ and let $\mathbf{v}: \mathbb{R} \to \mathrm{TM}: t \mapsto \mathbf{v}(t) = \mathbf{u} \circ \gamma(t)$ be a vector field defined along the curve with $\mathbf{u} \in \mathrm{TM}$, then **parallel transport** of $\mathbf{v}$ along the curve is defined as
>
> $$
>   D_t \mathbf{v}(t) = \mathbf{0},
> $$
>
> for all $t \in \mathscr{D}(\gamma)$. 

Parallel transport implies the transport of a vector that is held constant along the path; constant direction and magnitude. It then follows that for $\dot \gamma = \dot \gamma^i \partial_i$ and $\mathbf{v} = v^i \partial_i$ parallel transport obtains

$$
    D_t \mathbf{v}(t) = (\dot v^j + \Gamma^j_{ki} v^k \dot \gamma^i) \partial_j = \mathbf{0},
$$

obtaining the equations

$$
    \dot v^j + \Gamma^j_{ki} v^k \dot \gamma^i = 0,
$$

such that

$$
    \dot v^j = - \Gamma^j_{ki} v^k \dot \gamma^i,
$$

for all $t \in \mathscr{D}(\gamma)$. These equations can be solved for $\gamma$, obtaining the curve under which $\mathbf{v}$ stays constant. 

If we let $\mathbf{v} = \dot \gamma^i \partial_i$ be the tangent vector along the curve then parallel transport of $\mathbf{v}$ preserves the tangent vector and we obtain the **geodesic equations** given by

$$
    \dot v^j + \Gamma^j_{ki} v^k \dot \gamma^i = \ddot\gamma^j + \Gamma^j_{ki} \dot\gamma^k \dot\gamma^i = 0,
$$

for all $t \in \mathscr{D}(\gamma)$. 

One may interpret a geodesic as a generalization of the notion of a straight line or shortest path defined by $\gamma$. As follows from the following proposition.

> *Proposition 2*: let $\gamma: \mathscr{D}(\gamma) \to M: t \mapsto \gamma(t)$ be a smooth curve on the manifold parameterized by an open interval $\mathscr{D}(\gamma) \subset \mathbb{R}$ and let $\mathscr{L}$ be the Lagrangian defined by
>
> $$
>   \mathscr{L} = \|\dot \gamma\|^2,
> $$
>
> for all $t \in \mathscr{D}(\gamma)$. By demanding [Hamilton's principle]() we obtain the geodesic equations 
>
> $$
>   \ddot\gamma^j + \Gamma^j_{ki} \dot\gamma^k \dot\gamma^i = 0, 
> $$
>
> for all $t \in \mathscr{D}(\gamma)$.

??? note "*Proof*:"

    Will be added later.

It may be observed that by demanding the stationary state of the length of the curve we obtain the geodesic equations. 

## Contravariant derivative

Will be added later.