# Torsion

Let $\mathrm{M}$ be a differential manifold with $\dim \mathrm{M} = n \in \mathbb{N}$ used throughout the section. Let $\mathrm{TM}$ and $\mathrm{T^*M}$ denote the tangent and cotangent bundle, $V$ and $V^*$ the fiber and dual fiber bundle and $\mathscr{B}$ the tensor fiber bundle. 

## Torsion operator

> *Definition 1*: the **torsion operator** $\Theta: \Gamma(\mathrm{TM}) \times \Gamma(\mathrm{TM}) \to \Gamma(\mathrm{TM})$ is defined as
>
> $$
>   \Theta(\mathbf{u}, \mathbf{v}) = \nabla_\mathbf{u} \mathbf{v} - \nabla_\mathbf{v} \mathbf{u} - \mathscr{L}_\mathbf{u} \mathbf{v},
> $$
>
> for all $\mathbf{u}, \mathbf{v} \in \Gamma(\mathrm{TM})$ and $\mathscr{L}$ the [Lie derivative](). 

Using this definition we obtain the following results.

> *Proposition 1*: the decomposition of the torsion operator results into
>
> $$
>   \mathbf{k}(\bm{\omega}, \Theta(\mathbf{u}, \mathbf{v})) = \omega_i u^j v^k (\Gamma^i_{kj} - \Gamma^i_{jk}),
> $$
>
> for all $\bm{\omega} \in \Gamma(\mathrm{T}^*\mathrm{M})$ and $\mathbf{u}, \mathbf{v} \in \Gamma(\mathrm{TM})$. 

??? note "*Proof*:"

    Will be added later.

## Torsion tensor

As a result of proposition 1 we may view torsion as a locally defined mixed tensor of type $\mathbf{T} \in \mathrm{T}_x \mathrm{M} \otimes \mathrm{T}_x^* \mathrm{M} \otimes \mathrm{T}_x^* \mathrm{M}$. 

> *Definition 2*: the **torsion tensor** $\mathbf{T}: \mathrm{T}_x^* \mathrm{M} \times \mathrm{T}_x \mathrm{M} \times \mathrm{T}_x \mathrm{M} \to \mathbb{K}$ with $x \in \mathrm{M}$ is defined as
>
> $$
>   \mathbf{T}(\bm{\omega}, \mathbf{u}, \mathbf{v}) = \mathbf{k} \big(\bm{\omega}, \Theta(\mathbf{u}, \mathbf{v}) \big),
> $$
>
> for all $\bm{\omega} \in \mathrm{T}^*_x\mathrm{M}$ and $\mathbf{u}, \mathbf{v} \in \mathrm{T}_x \mathrm{M}$. 