# Orthonormal sets

> *Definition 1*: an **orthogonal set** $M$ in an inner product space $X$ is a subset $M \subset X$ whose elements are pairwise orthogonal.

Pairwise orthogonality implies that $x, y \in M: x \neq y \implies \langle x, y \rangle = 0$. 

> *Definition 2*: an **orthonormal set** $M$ in an inner product space $X$ is an orthogonal set in $X$ whose elements have norm 1. 

That is for all $x, y \in M$:

$$
    \langle x, y \rangle = \begin{cases}0 &\text{if } x \neq y, \\ 1 &\text{if } x = y.\end{cases}
$$

> *Lemma 1*: an orthonormal set is linearly independent.

??? note "*Proof*:"

    Will be added later.

In the case that an orthogonal or orthonormal set is countable it can be arranged in a sequence and call it can be called an *orthogonal* or *orthonormal sequence*. 

> *Theorem 1*: let $(e_n)_{n \in \mathbb{N}}$ be an orthonormal sequence in an inner product space $(X, \langle \cdot, \cdot \rangle)$, then
>
> $$
>   \sum_{n=1}^\infty |\langle x, e_n \rangle|^2 \leq \|x\|^2,
> $$
>
> for all $x \in X$. 

??? note "*Proof*:"

    Will be added later.

Theorem 1 is known as the Bessel inequality, and we have that $|\langle x, e_n \rangle|$ are called the Fourier coefficients of $x$ with respect to the orthonormal sequence $(e_n)_{n \in \mathbb{N}}$. 

## Orthonormalisation process

Let $(x_n)_{n \in \mathbb{N}}$ be a linearly independent sequence in an inner product space $(X, \langle \cdot, \cdot \rangle)$, then we can use the **Gram-Schmidt process** to determine the corresponding orthonormal sequence $(e_n)_{n \in \mathbb{N}}$. 

Let $e_1 = \frac{1}{\|x_1\|} x_1$ be the first step and let $e_n = \frac{1}{\|v_n\|} v_n$ be the $n$th step with

$$
    v_n = x_n - \sum_{k=1}^{n-1} \langle x_n, e_k \rangle e_k.
$$

## Properties

> *Proposition 1*: let $(e_n)_{n \in \mathbb{N}}$ be an orthonormal sequence in a Hilbert space $(X, \langle \cdot, \cdot \rangle)$ and let $(\alpha_n)_{n \in \mathbb{N}}$ be a sequence in the field of $X$, then
>
> 1. the series $\sum_{n=1}^\infty \alpha_n e_n$ is convergent in $X$ $\iff$ $\sum_{n=1}^\infty | \alpha_n|^2$ is convergent in $X$.
> 2. if the series $\sum_{n=1}^\infty \alpha_n e_n$ is convergent in $X$ and $s = \sum_{n=1}^\infty \alpha_n e_n$ then $a_n = \langle s, e_n \rangle$.
> 3. the series $\sum_{n=1}^\infty \alpha_n e_n = \sum_{n=1}^\infty \langle s, e_n \rangle e_n$ is convergent in $X$ for all $x \in X$. 

??? note "*Proof*:"

    Will be added later.

Furthermore, we also have that.

> *Proposition 2*: let $M$ be an orthonormal set in an inner product space $(X, \langle \cdot, \cdot \rangle)$, then any $x \in X$ can have at most countably many nonzero Fourier coefficients $\langle x, e_k \rangle$ for $e_k \in M$ over the uncountable index set $k \in I$ of $M$. 

??? note "*Proof*:"

    Will be added later.