# Convergence

> *Definition 1*: a sequence $(x_n)_{n \in \mathbb{N}}$ in a metric space $(X,d)$ is **convergent** if there exists an $x \in X$ such that
>
> $$
>   \lim_{n \to \infty} d(x_n, x) = 0.
> $$
>
> $x$ is the **limit** of $(x_n)$ and is denoted by 
>
> $$
>   \lim_{n \to \infty} x_n = x,
> $$
>
> or simply by $x_n \to x$, $(n \to \infty)$.

We say that $(x_n)$ *converges to* $x$ or *has the limit* $x$. If $(x_n)$ is not convergent then it is **divergent**. 

We have that the limit of a convergent sequence must be a point of $X$.

> *Definition 2*: a non-empty subset $M \subset X$ of a metric space $(X,d)$ is **bounded** if there exists an $x_0 \in X$ and an $r > 0$ such that $M \subset B(x_0,r)$. 

Furthermore, we call a sequence $(x_n)$ in $X$ a **bounded sequence** if the corresponding point set is a bounded subset of $X$.

> *Lemma 1*: let $(X,d)$ be a metric space then
>
> 1. a convergent sequence in $X$ is bounded and its limit is unique,
> 2. if $x_n \to x$ and $y_n \to y$ then $d(x_n, y_n) \to d(x,y)$, $(n \to \infty)$. 

??? note "*Proof*:"

    For statement 1, suppose that $x_n \to x$. Then, taking $\varepsilon = 1$, we can find an $N$ such that $d(x_n, x) < 1$ for all $n > N$. Which shows that $(x_n)$ is bounded. Suppose that $x_n \to x$ and $x_n \to z$ then by axiom 4 of the definition of a metric space we have 

    $$
        d(x_n, x) \leq d(x_n, z) + d(x, z) \to 0,
    $$

    as $n \to \infty$ and by axiom 2 of the definition of a metric space it follows that $x = z$. 

    For statement 2, we have that 

    $$
        d(x_n,y_n) \leq d(x_n, x) + d(x, y) + d(y, y_n),
    $$

    by axiom 4 of the definition of a metric space. Hence we obtain

    $$
        d(x_n, y_n) - d(x, y) \leq d(x_n, x) + d(y_n, y),
    $$

    such that

    $$
        |d(x_n, y_n) - d(x, y)| \leq d(x_n, x) + d(y_n, y) \to 0
    $$

    as $n \to \infty$. 

