# Mathematics

Welcome to the mathematics page. Some special mathematical environments that will be used in this section are listed and explained below.

* *Axioms*: fundamental assumptions or self-evident truths that serve as the basis for mathematical reasoning within a particular system. Axioms are not proved within the system but are taken as starting points from which other mathematical statements are deduced.
* *Postulates*: a statement that is accepted without proof, typically serving as starting assumptions in a specific mathematical theory or system. Postulates are similar to axioms but are often specific to a particular branch in mathematics.
* *Principles*: a fundamental rule or concept that govern mathematical reasoning. Principles may be derived from axioms, postulates, or empirical observations and are used to guide mathematical analysis or argumentation.
* *Definitions* : a precise and unambiguous description of the meaning of a mathematical term. It characterizes the meaning of a word by giving all the properties and only those properties that must be true.
* *Theorems* : a mathematical statement that is proved to be true using rigorous mathematical reasoning. In a mathematical text, the term theorem is often reserved for the most important results.
* *Propositions* : an often interesting result, but generally less important than a theorem.
* *Lemmas* : a minor result whose purpose is to help in proving a theorem. It is a stepping stone on the path to proving a theorem.
* *Corollaries* : a result in which the proof relies heavily on a given theorem.
* *Proofs* : a convincing argument that a certain mathematical statement is necessarily true. A proof generally uses deductive reasoning and logic but also contains some amount of ordinary language.
* *Conjectures*: a conclusion or a proposition that is proffered on a tentative basis without proof.

The mathematics sections of this wiki are based on various books and lectures. A comprehensive list of references can be found below.

* The definitions of the special mathematical environments on this page and the sections of logic, set-theory and number-theory are based on the lectures and lecture notes of Hans Cuypers. 
* The section of calculus is based on the lectures of Luc Habets and the book Calculus by Robert Adams.
* The sections of linear algebra and complex numbers in number theory are based on the lectures and lecture notes of Rik Kaasschieter and the book Linear Algebra by Steven Leon.
* The sections of multivariable calculus and ordinary differential equations are based on the lectures and lecture notes of Georg Prokert and the book Calculus by Robert Adams.
* The sections of dual vector spaces, tensors and differential geometry are based on the lectures and lecture notes of Luc Florack. 