# Dual vector spaces

We have a $n \in \mathbb{N}$ finite dimensional vector space $V$ such that $\dim V = n$, with a basis $\{\mathbf{e}_i\}_{i=1}^n.$ In the following sections we make use of the Einstein summation convention introduced in [vector analysis](/en/physics/mathematical-physics/vector-analysis/curvilinear-coordinates/) and $\mathbb{K} = \mathbb{R} \lor\mathbb{K} = \mathbb{C}$. 

> *Definition 1*: let $\mathbf{\hat f}: V \to \mathbb{K}$ be a **covector** or **linear functional** on $V$ if for all $\mathbf{v}_{1,2} \in V$ and $\lambda, \mu \in \mathbb{K}$ we have
>
> $$
>   \mathbf{\hat f}(\lambda \mathbf{v}_1 + \mu \mathbf{v}_2) = \lambda \mathbf{\hat f}(\mathbf{v}_1) + \mu \mathbf{\hat f}(\mathbf{v}_2).
> $$

Throughout this section covectors will be denoted by hats to increase clarity. 

> *Definition 2*: let the the dual space $V^* \overset{\text{def}} = \mathscr{L}(V, \mathbb{K})$ denote the vector space of covectors on the vector space $V$.

Each basis $\{\mathbf{e}_i\}$ of $V$ therefore induces a basis $\{\mathbf{\hat e}^i\}$ of $V^*$ by 

$$
    \mathbf{\hat e}^i(\mathbf{v}) = v^i,
$$

for all $\mathbf{v} = v^i \mathbf{e}_i \in V$. 

> *Theorem 1*: the dual basis $\{\mathbf{\hat e}^i\}$ of $V^*$ is uniquely determined by
>
> $$
>   \mathbf{\hat e}^i(\mathbf{e}_j) = \delta_j^i,
> $$
>
> for each basis $\{\mathbf{e}_i\}$ of $V$. 

??? note "*Proof*:"

    Let $\mathbf{\hat f} = f_i \mathbf{\hat e}^i \in V^*$ and let $\mathbf{v} = v^i \mathbf{e}_i \in V$, then we have

    $$
        \mathbf{\hat f}(\mathbf{v}) = \mathbf{\hat f}(v^i \mathbf{e}_i) = \mathbf{\hat f}(\mathbf{e}_i) v^i = \mathbf{\hat f}(\mathbf{e}_i) \mathbf{\hat e}^i(\mathbf{v}) = f_i \mathbf{\hat e}^i (\mathbf{v}), 
    $$

    therefore $\{\mathbf{\hat e}^i\}$ spans $V^*$. 

    Suppose $\mathbf{\hat e}^i(\mathbf{e}_j) = \delta_j^i$ and $\lambda_i \mathbf{\hat e}^i = \mathbf{0} \in V^*$, then

    $$
        \lambda_i = \lambda_j \delta_i^j = \lambda_j \mathbf{\hat e}^j(\mathbf{e}_i) = (\lambda_j \mathbf{\hat e}^j)(\mathbf{e}_i) = \mathbf{0},
    $$

    for all $i \in \mathbb{N}[i \leq n]$. Showing that $\{\mathbf{\hat e}^i\}$ is a linearly independent set.

Obtaining a vector and consequent covector space having the same dimension $n$. 

From theorem 1 it follows that for each covector basis $\{\mathbf{\hat e}^i\}$ of $V^*$ and each $\mathbf{\hat f} \in V^*$ there exists a unique collection of numbers $\{f_i\}$ such that $\mathbf{\hat f} = f_i \mathbf{\hat e}^i$. 

> *Theorem 2*: the dual of the covector space $(V^*)^* \overset{\text{def}} = V^{**}$ is isomorphic to $V$. 

??? note "*Proof*:"

    Will be added later.