# Tensor transformations

We have a $n \in \mathbb{N}$ finite dimensional vector space $V$ such that $\dim V = n$, with a basis $\{\mathbf{e}_i\}_{i=1}^n,$ a corresponding dual space $V^*$ with a basis $\{\mathbf{\hat e}^i\}_{i=1}^n$ and a pseudo inner product $\bm{g}$ on $V.$ 

Let us introduce a different basis $\{\mathbf{f}_i\}_{i=1}^n$ of $V$ with a corresponding dual basis $\{\mathbf{\hat f}^i\}_{i=1}^n$ of $V^*$ which are related to the former basis $\{\mathbf{e}_i\}_{i=1}^n$ by

$$
    \mathbf{f}_j = A^i_j \mathbf{e}_i, 
$$

so that $\mathbf{\hat e}^i = A^i_j \mathbf{\hat f}^j$. 

## Transformation of tensors

Recall from the section of [tensor-formalism]() that a holor depends on the chosen basis, but the corresponding tensor itself does not. This implies that holors transform in a particular way under a change of basis, which is characteristic for tensors. 

> *Theorem 1*: let $\mathbf{T} \in \mathscr{T}^p_q(V)$ be a tensor with $p=q=1$ without loss of generality and $B = A^{-1}$. Then $\mathbf{T}$ may be decomposed into
>
> $$
> \begin{align*}
>   \mathbf{T} &= T^i_j \mathbf{e}_i \otimes \mathbf{\hat e}^j, \\
>              &= \overline T^i_j \mathbf{f}_i \otimes \mathbf{\hat f}^j,
> \end{align*}
> $$
>
> with the holors related by
>
> $$
>   \overline T^i_j = B^i_k A^j_l T^k_l.
> $$

??? note "*Proof*:"

    Will be added later.

The homogeneous nature of the tensor transformation implies that a holor equation of the form $T^i_j = 0$ holds relative to any basis if it holds relative to a particular one.

## Transformation of volume forms

> *Lemma 1*: let $(V, \bm{\mu})$ be a vector space with an oriented volume form with
>
> $$
> \begin{align*}
>   \bm{\mu} &= \mu_{i_1 \dots i_n} \mathbf{\hat e}^{i_1} \otimes \cdots \otimes \mathbf{\hat e}^{i_n}, \\
>   &= \overline \mu_{i_1 \dots i_n} \mathbf{\hat f}^{i_1} \otimes \cdots \otimes \mathbf{\hat f}^{i_n},
> \end{align*}
> $$
>
> then we have
>
> $$
>   \overline \mu_{j_1 \dots j_n} = A^{i_1}_{j_1} \cdots A^{i_n}_{j_n} \mu_{i_1 \dots i_n} = \mu_{j_1 \dots j_n} \det (A).
> $$

??? note "*Proof*:"

    Will be added later.

Then $\det(A)$ is the volume scaling factor of the transformation with $A$. So that if $\bm{\mu}(\mathbf{e}_1, \dots, \mathbf{e}_n) = 1$, then $\bm{\mu}(\mathbf{f}_1, \dots, \mathbf{f}_n) = \det(A).$

> *Theorem 2*: let $(V, \bm{\mu})$ be a vector space with an oriented volume form with
>
> $$
> \begin{align*}
>   \bm{\mu} &= \mu_{i_1 \dots i_n} \mathbf{\hat e}^{i_1} \otimes \cdots \otimes \mathbf{\hat e}^{i_n}, \\
>   &= \overline \mu_{i_1 \dots i_n} \mathbf{\hat f}^{i_1} \otimes \cdots \otimes \mathbf{\hat f}^{i_n},
> \end{align*}
> $$
>
> and if we define 
>
> $$
>   \overline \mu_{i_1 \dots i_n} \overset{\text{def}}{=} \frac{1}{\det (A)} A^{j_1}_{i_1} \cdots A^{j_n}_{i_n} \mu_{j_1 \dots j_n}, 
> $$
>
> then $\mu_{i_1 \dots i_n} = \overline \mu_{i_1 \dots i_n} = [i_1, \dots, i_n]$ is an invariant holor. 

??? note "*Proof*:"

    Will be added later.

## Transformation of Levi-Civita form

> *Theorem 3*: let $\bm{\epsilon} \in \bigwedge_n(V)$ be the Levi-Civita tensor with
>
> $$
> \begin{align*}
>   \bm{\epsilon} &= \epsilon_{i_1 \dots i_n} \mathbf{\hat e}^{i_1} \otimes \cdots \otimes \mathbf{\hat e}^{i_n}, \\
> &= \overline \epsilon_{i_1 \dots i_n} \mathbf{\hat f}^{i_1} \otimes \cdots \otimes \mathbf{\hat f}^{i_n},
> \end{align*}
> $$
>
> then $\epsilon_{i_1 \dots i_n} = \overline \epsilon_{i_1 \dots i_n}$ is an invariant holor. 

??? note "*Proof*:"

    Will be added later.