# Fiber bundles

Let $X$ be a manifold over a field $F$. 

> *Definition 1*: a **fiber** $V_x$ at a point $x \in X$ on a manifold is a finite dimensional vector space. With the collection of fibers $V_x$ for all $x \in X$ define the **fiber bundle** as
>
> $$
>   V = \bigcup_{x \in X} V_x.
> $$

Then by definition we have the projection map $\pi$ given by

$$
    \pi: V \to X: (x,\mathbf{v}) \mapsto \pi(x, \mathbf{v}) \overset{\text{def}}{=} x,
$$

and its inverse

$$
    \pi^{-1}: X \to V: x \mapsto \pi(x) \overset{\text{def}}{=} V_x.
$$

Similarly, a dual fiber $V_x^*$ may be defined for $x \in X$, with its fiber bundle defined by

$$
    V^* = \bigcup_{x \in X} V_x^*.
$$

> *Definition 2*: a **tensor fiber** $\mathscr{B}_x$ at a point $x \in X$ on a manifold is defined as
>
> $$
>   \mathscr{B}_x = \bigcup_{p,q \in \mathbb{N}} \mathscr{T}^p_q(V_x).
> $$
>
> With the collection of tensor fibers $\mathscr{B}_x$ for all $x \in X$ define the **tensor fiber bundle** as
>
> $$
>   \mathscr{B} = \bigcup_{x \in X} \mathscr{B}_x.
> $$

Then for a point $x \in X$ we have a tensor $\mathbf{T} \in \mathscr{B}_x$ such that

$$
    \mathbf{T} = T^{ij}_k \mathbf{e}_i \otimes \mathbf{e}_j \otimes \mathbf{\hat e}^k, 
$$

with $T^{ij}_k \in \mathbb{K}$ holors of $\mathbf{T}$. Furthermore, we have a basis $\{\mathbf{e}_i\}_{i=1}^n$ of $V_x$ and a basis $\{\mathbf{\hat e}^i\}_{i=1}^n$ of $V_x^*$. 

> *Definition 3*: a tensor field $\mathbf{T}$ on a manifold $X$ is a [section]()
>
> $$
>   \mathbf{T} \in \Gamma(X, \mathscr{B}),
> $$
>
> of the tensor fiber bundle $\mathscr{B}$. 

Therefore, a tensor field assigns a tensor fiber (or tensor) to each point on a section of the  manifold. These tensors may vary smoothly along the section of the manifold.